Index: trunk/include/Pacpus/kernel/XmlComponentConfig.h
===================================================================
--- trunk/include/Pacpus/kernel/XmlComponentConfig.h	(revision 91)
+++ trunk/include/Pacpus/kernel/XmlComponentConfig.h	(revision 116)
@@ -15,5 +15,5 @@
 #define DEF_PACPUS_XMLCOMPONENTCONFIG_H
 
-#include <Pacpus/kernel/pacpus.h>
+#include <Pacpus/kernel/PacpusLibConfig.h>
 
 #include <QDomElement>
@@ -23,67 +23,59 @@
 class XmlConfigFile;
 
-/** XmlComponentConfig
- * @brief Defines the XML structure of a component.
- */
+/// XmlComponentConfig
+/// @brief Defines the XML structure of a component.
 class PACPUSLIB_API XmlComponentConfig
 {
     friend class ComponentManager;
+
 public:
-    /** Ctor of XmlComponentConfig.
-     * @param name Name of the ComponentFactory, by convention equal to class name.
-     */
-    explicit XmlComponentConfig(const QString& name = QString::null);
+    /// Ctor of XmlComponentConfig.
+    /// @param name Name of the ComponentFactory, by convention equal to class name.
+    explicit XmlComponentConfig(const QString & name = QString::null);
 
-    /** Dtor of XmlComponentConfig. */
+    /// Dtor of XmlComponentConfig.
     ~XmlComponentConfig();
 
-    /** Add the property @em name to the XML and set its value to @em 0 if it does not exist.
-     * @param name Name of the property.
-     */
+    /// Adds the property @em name to the XML and set its value to @em 0 if it does not exist.
+    /// @param name Name of the property.
     void addProperty(const QString& name);
 
-    /** Delete a property from the XML.
-     * @return False if the property does not exist, false otherwise.
-     */
+    /// Deletes property @em name from the XML.
+    /// 
+    /// @returns @b true if the property existed and was removed, @b false if the property did not exist or could not be removed.
     int delProperty(const QString& name);
 
-    /** Get the value of a property.
-     * @param name Name of the property.
-     * @param defaultValue Value returned if the property does not exist.
-     * @return Value of the property, @em defaultValue otherwise.
-     */
+    /// Gets the value of a property.
+    /// @param name Name of the property.
+    /// @param defaultValue Value returned if the property does not exist.
+    /// @return Value of the property, @em defaultValue otherwise.
     QString getProperty(const QString& name, const QString& defaultValue = QString::null) const;
 
-    /** Get the value of a property as a boolean.
-     * @param name Name of the property.
-     * @param defaultValue Value returned if the property does not exist.
-     * @return Value of the property, @em defaultValue otherwise.
-     */
+    /// Gets the value of a property as a boolean.
+    /// @param name Name of the property.
+    /// @param defaultValue Value returned if the property does not exist.
+    /// @returns Value of the property, @em defaultValue otherwise.
     bool getBoolProperty(const QString& name, bool defaultValue = false) const;
 
-    /** Get the value of a property as an integer.
-     * @param name Name of the property.
-     * @param defaultValue Value returned if the property does not exist.
-     * @return Value of the property, @em defaultValue otherwise.
-     */
+    /// Get the value of a property as an integer.
+    /// @param name Name of the property.
+    /// @param defaultValue Value returned if the property does not exist.
+    /// @return Value of the property, @em defaultValue otherwise.
     int getIntProperty(const QString& name, int defaultValue = 0) const;
 
-    /** Get the value of a property as a double.
-     * @param name Name of the property.
-     * @param defaultValue Value returned if the property does not exist.
-     * @return Value of the property, @em defaultValue otherwise.
-     */
+    /// Get the value of a property as a double.
+    /// @param name Name of the property.
+    /// @param defaultValue Value returned if the property does not exist.
+    /// @return Value of the property, @em defaultValue otherwise.
     double getDoubleProperty(const QString& name, double defaultValue = 0.0) const;
 
-    /** Set the value of a property.
-     * @param name Name of the property.
-     * @param value Value to set.
-     */
+    /// Set the value of a property.
+    /// @param name Name of the property.
+    /// @param value Value to set.
     void setProperty(const QString& name, const QString& value);
 
-    /** Check if a property exists.
-     * @param name Name of the property.
-     * @return True if the property exists, false otherwise.
-     */
+    /// Check if a property exists.
+    /// @param name Name of the property.
+    /// @return True if the property exists, false otherwise.
     bool hasProperty(const QString& name) const;
 
